package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-06-17
 */
public enum HomeworkStatusEnum implements BaseEnum<String,HomeworkStatusEnum> {

    NOTCOMMIT( "未提交"),
    NOTREVIEW( "未评价"),
    REVIEWED( "已评价"),

    ;
    @EnumValue
    private String code;
    private String msg;

    HomeworkStatusEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public static GenderEnum valueOf(Integer code) {
        GenderEnum[] values = GenderEnum.values();
        for (GenderEnum value : values) {
            if(value.getCode().equals(code)){
                return value;
            }
        }
        return null;
    }
}
